GET Retrieve a list of all publish processes with pagination support.
GET /organizations/{organizationId}/granular-processes
Operation ID: listPublishProcesses. Security: AmOAuth2 (sfcc.granular-replications, sfcc.granular-replications.rw).
Parameters
organizationId(path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.Example
f_ecom_zzxy_prdlimit(query, integer (int32)) Number of records to retrieve per request. Must be between 1 (minimum) and 200 (maximum). Defaults to 50.
Default:50. Minimum: 1. Maximum: 200.offset(query, integer (int32)) Used to retrieve the results based on a particular resource offset.
Default:0. Minimum: 0.
Responses
- 200
Retrieved list of publish processes successfully.
Media type:
application/json. Schema:PublishProcessListResponse.Example: listResults List results example
{ "total": 3, "offset": 0, "limit": 50, "data": [ { "id": "xmRhi7394HymoeRkfwAAAZeg3WiM", "status": "completed", "startTime": "2024-03-15T10:30:00Z", "endTime": "2024-03-15T10:30:45Z", "initiatedBy": "user@example.com", "productItem": { "productId": "PROD-12345" } }, { "id": "xmRhi7394HymoeRkfwAAAZeg3WiN", "status": "completed", "startTime": "2024-03-15T10:35:00Z", "endTime": "2024-03-15T10:35:30Z", "initiatedBy": "user@example.com", "productItem": { "productId": "PROD-67890" } }, { "id": "xmRhi7394HymoeRkfwAAAZeg3WiK", "status": "failed", "startTime": "2024-03-15T10:40:00Z", "initiatedBy": "api-client-xyz", "contentAssetItem": { "contentId": "homepage-hero-banner", "type": "shared", "libraryId": "sharedLibrary" } } ] } - 400
Bad Request. Invalid query parameter.
Media type:
application/problem+json. Schema:InvalidQueryParameterErrorResponse.Example: InvalidQueryParameterErrorResponseExample
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/invalid-query-parameter", "detail": "Invalid query parameter.", "title": "Invalid Query Parameter" } - 403
Forbidden. Your access token is valid, but you don't have the required permissions to access the resource,
or the Granular Replication feature is disabled.
Media type:
application/problem+json. Schema:FeatureNotEnabledErrorResponse.Example: FeatureNotEnabledErrorResponseExample
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/feature-not-enabled", "detail": "The Granular Replication feature is not enabled in your staging and production environments.", "title": "Feature Not Enabled" } - 422
If the request was not sent to a staging instance
Media type:
application/problem+json. Schema:NotOnStagingInstanceErrorResponse.Example: NotOnStagingInstanceErrorResponseExample
{ "type": "https://api.commercecloud.salesforce.com/documentation/error/v1/errors/not-on-staging-instance", "detail": "The request was not sent to a staging instance.", "title": "Not On Staging Instance" }